co.aikar.commands

## Class ParameterConditionContext<P,CEC extends CommandExecutionContext,I extends CommandIssuer>

- java.lang.Object
- - co.aikar.commands.ConditionContext<I>
  - - co.aikar.commands.ParameterConditionContext<P,CEC,I>

    public class ParameterConditionContext<P,CEC extends CommandExecutionContext,I extends CommandIssuer>
    extends ConditionContext<I>

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canOverridePlayerContext()`
`Annotation` `getAnnotation(Class cls)`
`List<String>` `getArgs()`
`int` `getIndex()`
`int` `getNumParams()`
`Map<String,Object>` `getPassedArgs()`
`Object` `getResolvedArg(Class[] classes)`
`Object` `getResolvedArg(String arg)`
`Object` `getResolvedArg(String key, Class[] classes)`
`boolean` `hasAnnotation(Class cls)`
`boolean` `isLastArg()`
`boolean` `isOptional()`
`String` `joinArgs()`
`String` `joinArgs(String sep)`

### Methods inherited from class co.aikar.commands.ConditionContext

`getFlagValue, getFlagValue, getIssuer, hasFlag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isLastArg

    public boolean isLastArg()

#### getNumParams

    public int getNumParams()

#### canOverridePlayerContext

    public boolean canOverridePlayerContext()

#### getResolvedArg

    public Object getResolvedArg(String arg)

#### getResolvedArg

    public Object getResolvedArg(Class[] classes)

#### getResolvedArg

    public Object getResolvedArg(String key,
                                 Class[] classes)

#### isOptional

    public boolean isOptional()

#### getAnnotation

    public Annotation getAnnotation(Class cls)

#### hasAnnotation

    public boolean hasAnnotation(Class cls)

#### getArgs

    public List<String> getArgs()

#### getIndex

    public int getIndex()

#### getPassedArgs

    public Map<String,Object> getPassedArgs()

#### joinArgs

    public String joinArgs()

#### joinArgs

    public String joinArgs(String sep)